{%extends '_base.html' %}

{%block stylesheet %}
{% endblock stylesheet %}

{% block content %}
<div class="alert alert-danger mt-3 mb-5">
    <ul>
        <li>The GoLive Feature is currently in Alpha phase is not meant for all users. If you are using this,  beware it may not work for you.</li>
        <li>This interface is not optimized for mobile. Prefer using this page from a Desktop / Laptop</li>
        <li>It typically takes 50 - 70 seconds for the stream to be ready. This page dosent auto-refesh, so please do refresh after 50 - 70 seconds</li>
        <li>The live stream on our platform / social media platform like Youtube, Facebook would be 20 - 40 seconds behind of the live. This cannot be avoided.</li>
        <li>Feedback on this system can be sent to hello@chiguru.tech. </li>
    </ul>
    
</div>


{% if scheduled_streams %}
<h3>Scheduled Streams </h3>
<table class="table">
    <caption>List of scheduled streams</caption>
    <thead>
        <th>Stream ID</th>
        <th>Stream Name</th>
        <th>Stream Date</th>
        <th>Youtube</th>
        <th>Facebook</th>
        <th></th>
        <th></th>
    </thead>
    <tbody>
        {% for stream in scheduled_streams %}
            <tr>
                <td>{{stream.stream_id}}</td>
                <td>{{stream.stream_name}}</td>
                <td>{{stream.stream_start_time}}</td>
                <!-- <td>{{request.get_host}}{% url 'watch' stream_id=stream.stream_id%}</td> -->
                <td>{% if "youtube" in stream.stream_configs %}Yes {%else%} No {% endif %}</td>
                <td>{% if "facebook" in stream.stream_configs %}Yes {%else%} No {% endif %}</td>
                <td>
                    <form action="{% url 'start_scheduled_stream' %}" method="post">
                        {% csrf_token %}
                        <input type="hidden" name="stream_id" value="{{stream.stream_id}}">
                        <button class="btn btn-sm btn-success">Start</button>
                    </form>
                </td>
                <td>
                    <form action="{% url 'destroy_streamer' %}" method="post">
                        {% csrf_token %}
                        <input type="hidden" name="stream_id" value="{{stream.stream_id}}">
                        <button class="btn btn-sm btn-danger">Cancel</button>
                    </form>
                </td>

            </tr>
        {% endfor%}
    </tbody>
</table>
{% else%}
 No streams scheduled.
{% endif %}


{% if streams %}
<h3>Running Streams </h3>
<table class="table">
    <caption>My running streams</caption>
    <thead>
        <th>Stream ID</th>
        <th>Stream Name</th>
        <th>Stream Status</th>
        <th>Youtube</th>
        <th>Facebook</th>
        <th></th>
    </thead>
    <tbody>
        {% for stream in streams %}
            <tr>
                <td>{{stream.stream_id}}</td>
                <td>{{stream.stream_name}}</td>
                <td>{{stream.stream_status}}</td>
                <!-- <td><a class="btn btn-sm btn-info" href="{%url 'watch' stream_id=stream.stream_id%}">Video + Comments</a></td>
                <td><a class="btn btn-sm btn-info" href="{%url 'stream_comments_moderator' stream_id=stream.stream_id%}">Comments</a></td> -->
                <td>{% if "youtube" in stream.stream_configs %}Yes {%else%} No {% endif %}</td>
                <td>{% if "facebook" in stream.stream_configs %}Yes {%else%} No {% endif %}</td>
                <td>
                    <form action="{% url 'destroy_streamer' %}" method="post">
                        {% csrf_token %}
                        <input type="hidden" name="stream_id" value="{{stream.stream_id}}">
                        <button class="btn btn-sm btn-danger">Stop</button>
                    </form>
                </td>
            </tr>
        {% endfor%}
    </tbody>
</table>

{% else %}

<ul class="nav nav-tabs mt-2 nav-fill" id="myTab" role="tablist">
    <li class="nav-item">
    <a class="nav-link active" id="live-tab" data-toggle="tab" href="#live" role="tab" aria-controls="home" aria-selected="true"><strong style="color: black;">Go live now</strong></a>
    </li>
    <li class="nav-item">
    <a class="nav-link" id="schedule-tab" data-toggle="tab" href="#schedule" role="tab" aria-controls="profile" aria-selected="false"><strong style="color: black;">Schedule</strong></a>
    </li>
</ul>
<div class="tab-content" id="tab-content">
    <div class="tab-pane fade show active" id="live" role="tabpanel" aria-labelledby="live-tab">
        <div class="row">
            <div class="col-md-2">
            </div>
            <div class="col-md-8 mt-5">
                <p>Chiguru Live Stream</p>
                <form action="{% url 'go_live'%}" method="POST" class="form">
                    {% csrf_token %}
                    <input type="text" name="stream_name" placeholder="Enter your stream name" required>
                    <br>
                    <input type="text" name="youtube" class="input" placeholder="Enter youtube keys here">
                    <input type="text" name="facebook" class="input" placeholder="Enter facebook key here. Currently only one facebook stream is supporteds"/>
                    <select name="room" id="">
                        {% for room in rooms %}
                            <option value="{{room.id}}">{{room}}</option>
                        {% endfor %}
                    </select>
                    <button type="submit" class="btn btn-success">Start Streaming</button>
                </form>
                <span class="mt-5">Note: We store your social media keys only until the stream is running. When you say stop, we immediatly delete all the social media keys</span>
            </div>
        </div>
    </div>
    <div class="tab-pane fade" id="schedule" role="tabpanel" aria-labelledby="schedule-tab">
        <div class="row">
            <div class="col-md-2">
            </div>
            <div class="col-md-6 mt-5">
                <p>Chiguru Schedule Streamer</p>
                <form action="{% url 'go_live'%}" method="POST" class="form">
                    {% csrf_token %}
                    <input type="text" name="stream_name" placeholder="Enter your stream name" required>
                    <input type="text" name="youtube" class="input" placeholder="Enter youtube keys here">
                    <input type="text" name="facebook" class="input" placeholder="Enter facebook key here. Currently only one facebook stream is supporteds"/>
                    <br>
                    <select name="room" id="" class="mt-5">
                        {% for room in all_rooms %}
                            <option value="{{room.id}}">{{room}}</option>
                        {% endfor %}
                    </select>
                    <br>
                    <br>
                    <input type="datetime" name="schedule_date" id="schedule_date" required placeholder="Date of schedule" value="14:10 09/19/2020">
                    <br>
                    <span>HH:MM dd/mm/yyyy</span>
                    <br>
                    <br>
                    <button type="submit" class="btn btn-success">Schedule</button>
                </form>
                <span class="mt-5">Note: We store your social media keys only until the stream is running. When you say stop, we immediatly delete all the social media keys</span>
            </div>
        </div>
    </div>
</div>

{% endif %}

{% endblock content%}


{% block javascript %}
{% if scheduled_streams %}
    <script>
        setTimeout(function() {
            location.reload();
        }, 10000);
    </script>
{% endif %}

{% endblock %}